#include <unistd.h>
#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/wait.h>

int main(int argc, char *argv[]) {
    if (argc != 2) {
	fprintf(stderr, "use: %s sleeptime\n", argv[0]);
	return -1;
    }
    int pid = fork();
    if (pid == 0) {
	if ((pid = fork())==0) {
	    execl("/bin/sleep", "/bin/sleep", argv[1], NULL);
	    perror("execl");
	    exit(EXIT_FAILURE);
	}
	if (waitpid(pid, NULL, 0)<0) {
	    fprintf(stderr, "error waiting pid\n");
	    return -1;
	}
	printf("mio = %d, padre = %d\n", getpid(), getppid());
	return 0;
    }
    
    return 0;
}
